<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/dashboard_model_background"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/image_icon"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginStart="25dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/ic_launcher"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="80dp"
        android:background="@color/module_title_color"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/dialog_title"
        style="@style/TextBig"
        android:textSize="24sp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="25dp"
        android:layout_marginTop="20dp"
        android:text="@string/screenreader"
        app:layout_constraintLeft_toRightOf="@id/image_icon"
        app:layout_constraintTop_toTopOf="parent" />
        <!-- 子类内容容器 -->
        <LinearLayout
            android:id="@+id/contentContainer"
            android:layout_width="match_parent"
            android:paddingBottom="16dp"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/view_line"

            android:orientation="vertical"
             >
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv1"
                app:valueText="com.bjbyhd.screenreader-huawei"
                app:labelText="@string/package_name"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv2"
                app:labelText="@string/version"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv3"
                app:labelText="@string/target_sdk"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv4"
                app:labelText="@string/minimum_sdk"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv5"
                app:labelText="@string/installer_type"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv6"
                app:labelText="@string/installed"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv7"
                app:labelText="@string/size"/>
            <com.xyzshell.myphoneinfo.custom.LabelValueCustomView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/tv8"
                app:labelText="@string/uid"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="25dp"
                android:layout_marginTop="15dp"
                android:orientation="vertical">
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/extension1"
                    style="@style/TextContentLeft"
                    android:layout_width="wrap_content"
                    android:textSize="16sp"
                    android:layout_height="wrap_content"
                    android:text="@string/permissions"
                    android:textStyle="bold" />
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">
                    <ImageView
                        android:layout_width="17dp"
                        android:layout_height="17dp"
                        android:src="@mipmap/per_yes"
                        android:layout_marginEnd="10dp"
                        />
                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:textSize="15sp"
                        android:layout_height="wrap_content"
                        android:text="@string/allowed"
                        android:textColor="#878787"
                        android:textStyle="bold" />
                    <ImageView
                        android:layout_width="17dp"
                        android:layout_height="17dp"
                        android:src="@mipmap/per_no"
                        android:layout_marginHorizontal="10dp"
                        />
                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:textSize="15sp"
                        android:layout_height="wrap_content"
                        android:text="@string/not_allowed"
                        android:textColor="#878787"
                        android:textStyle="bold" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">
                    <ImageView
                        android:layout_width="17dp"
                        android:layout_height="17dp"
                        android:src="@mipmap/per_special"
                        android:layout_marginEnd="10dp"
                        />
                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:textSize="15sp"
                        android:layout_height="wrap_content"
                        android:text="@string/special_access"
                        android:textColor="#878787"
                        android:textStyle="bold" />
                </LinearLayout>
                <include layout="@layout/common_check_style1" android:id="@+id/check1"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check2"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check3"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check4"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check5"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check6"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check7"/>
                <include layout="@layout/common_check_style1" android:id="@+id/check8"/>


            </LinearLayout>


        </LinearLayout>
    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_cancel"
        style="@style/TextBtnTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:text="@string/cancel"
        android:layout_marginEnd="20dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>



</androidx.constraintlayout.widget.ConstraintLayout>
